petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDSGetComponentOffset

Returns the offset of the given field on an evaluation point

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetComponentOffset(PetscDS prob, PetscInt f, PetscInt *off)

Not collective

### Input Parameters

| prob | - The PetscDS object
| f | - The field number

### Output Parameter

off -The offset

### See Also

PetscDSGetBdFieldOffset(), PetscDSGetNumFields(), PetscDSCreate()

Level:beginner
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages